Loading...
Searching...
No Matches
env.h File Reference

Environment interface. More...

`#include <l4/sys/consts.h>`
`#include <l4/sys/types.h>`
`#include <l4/sys/kip.h>`
`#include <l4/sys/compiler.h>`
`#include <l4/re/consts.h>`
Include dependency graph for env.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | l4re_env_cap_entry_t
| Entry in the L4Re environment array for the named initial objects. More...
struct | l4re_env_t
| Initial environment data structure. More...

## Typedefs

typedef struct l4re_env_cap_entry_t | l4re_env_cap_entry_t
| Entry in the L4Re environment array for the named initial objects.
typedef struct l4re_env_t | l4re_env_t
| Initial environment data structure.

## Functions

l4re_env_t * | l4re_env (void) L4_NOTHROW
| Get L4Re initial environment.
l4_kernel_info_t const * | l4re_kip (void) L4_NOTHROW
| Get Kernel Info Page.
l4_cap_idx_t | l4re_env_get_cap (char const *name) L4_NOTHROW
| Get the capability selector for the object named name.
l4_cap_idx_t | l4re_env_get_cap_e (char const *name, l4re_env_t const *e) L4_NOTHROW
| Get the capability selector for the object named name.
l4re_env_cap_entry_t const * | l4re_env_get_cap_l (char const *name, unsigned l, l4re_env_t const *e) L4_NOTHROW
| Get the full l4re_env_cap_entry_t for the object named name.

## Detailed Description

Environment interface.

Definition in file env.h.

## Typedef Documentation

## l4re_env_t

typedef struct l4re_env_t l4re_env_t

Initial environment data structure.

See also
  Initial environment